Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var https = require("https");
var baseClient_1 = require("./core/baseClient");
var options_1 = require("./models/options");
var version_1 = require("./version");
var NodeClient = /** @class */ (function (_super) {
    tslib_1.__extends(NodeClient, _super);
    function NodeClient() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @inheritDoc
     */
    NodeClient.prototype.logEvent = function (event) {
        var _a;
        if (this._options.optOut === true) {
            return;
        }
        this._annotateEvent(event);
        var payload = JSON.stringify({
            api_key: this._apiKey,
            events: [event],
        });
        var requestOptions = {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
        };
        var req = https.request((_a = this._options.serverUrl) !== null && _a !== void 0 ? _a : options_1.OPTION_DEFAULT_SERVER_URL, requestOptions);
        req.on('error', function (error) {
            console.info('[Amplitude|Error] Event is not submitted.', error);
        });
        req.write(payload);
        req.end();
    };
    /** Add platform dependent field onto event. */
    NodeClient.prototype._annotateEvent = function (event) {
        event.library = version_1.SDK_NAME + "-" + version_1.SDK_VERSION;
        event.platform = 'Node.js';
    };
    return NodeClient;
}(baseClient_1.BaseClient));
exports.NodeClient = NodeClient;
//# sourceMappingURL=nodeClient.js.map